rte_acl_param(3)

NAME
rte_acl_param

SYNOPSIS

#include <rte_acl.h>

  Data Fields

const char * name
int socket_id
uint32_t rule_size
uint32_t max_rule_num

Detailed Description

Parameters used when creating the ACL context.

Definition at line 129 of file rte_acl.h.

Field Documentation

  const char* name
Name of the ACL context.

Definition at line 130 of file rte_acl.h.

  int socket_id
Socket ID to allocate memory for.

Definition at line 131 of file rte_acl.h.

  uint32_t rule_size
Size of each rule.

Definition at line 132 of file rte_acl.h.

  uint32_t max_rule_num
Maximum number of rules.

Definition at line 133 of file rte_acl.h.

Author

Generated automatically by Doxygen for DPDK from the source code.